Bug 802790 - foomatic-filters-4.0.13 is available
foomatic-filters-4.0.13 is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 10:14 EDT by Account closed by user
Modified: 2012-04-11 23:01 EDT (History)
2 users (show)

See Also:
Fixed In Version: foomatic-4.0.8-8.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-23 20:41:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Account closed by user 2012-03-13 10:14:24 EDT
Changelog since 4.0.8:

	* spooler.c: When using CUPS support option strings (5th command
	  line argument to a CUPS filter) of more than 512 bytes. For PPD
	  files with very many options this string can get very long (Thanks
	  to Yoshito Nishihara, yoshito dot nishihara at nts dot ricoh dot co
	  dot jp for reporting this).

	* foomaticrip.c: If incoming PDF needs to be converted to PostScript
	  due to the filter command line not being a standard Ghostscript
	  command line, no separate PDF command line being supplied, or
	  options in the PPD being implemented by PostScript code, use
	  preferrably Ghostscript (with the "ps2write" device) for this
	  conversion as Ghostscript is better optimized for printing and
	  has a more sophisticated color management compared to Poppler.

	* foomaticrip.c, renderer.c: SECURITY FIX: Use the mktemp shell
	  command/mkstemp() function to create the debug log file and the
	  renderer input data file (both files only generated when
	  foomatic-rip is un in debug mode) with file names with an
	  unpredictable part. The names are /tmp/foomatic-rip-XXXXXX.log and
	  /tmp/foomatic-rip-YYYYYY.ps where the XXXXXX and YYYYYY are
	  replaced by random strings. Thanks to Tim Waugh from Red Hat for
	  for the patch (bug #936, CVE-2011-2924).

	* foomaticrip.c: Fixed build of foomatic-rip on systems without
	  D-Bus. Thanks to Richard Hughes (hughsient at gmail dot com) for
	  the quick fix.
Comment 1 Fedora Update System 2012-03-13 11:54:03 EDT
foomatic-4.0.8-8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/foomatic-4.0.8-8.fc17
Comment 2 Fedora Update System 2012-03-13 11:56:20 EDT
foomatic-4.0.8-8.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2012-3359/foomatic-4.0.8-8.fc16
Comment 3 Fedora Update System 2012-03-14 22:27:14 EDT
Package foomatic-4.0.8-8.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing foomatic-4.0.8-8.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3359/foomatic-4.0.8-8.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-03-16 08:37:57 EDT
foomatic-4.0.8-6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/foomatic-4.0.8-6.fc15
Comment 5 Fedora Update System 2012-03-23 20:41:50 EDT
foomatic-4.0.8-8.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-04-11 23:01:25 EDT
foomatic-4.0.8-8.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.